/*
 * "ESCPSLIB.C"
 *
 * Escotia Playstaion Library Code
 *
 * Author:	ScoTT Campbell
 * Date:	30/8/98
 *
 * Last Modified: 21/12/98
*/


#ifndef __ESCOTIAPSLIBDEFN
#define __ESCOTIAPSLIBDEFN


#include "escpslib.h"

/* These files contain functions that will generally be used in all programs */
#include "source\escreen.c"		// Functions for setting up and maintaining the display
#include "source\pad.c"			// Functions for dealing with controllers
#include "source\escot.c"		// Functions for dealing with ordering tables
#include "source\escattri.c"	// Functions for creating attribute values for all types

/* Comment out the following C files to match the headers in escpslib.h */

#include "source\escpixel.c"	// Functions for dealing with new type EsPIXEL	- single pixel
#include "source\escline.c"		// Functions for dealing with GsLINE			- straight line
#include "source\escgline.c"	// Functions for dealing with GsGLINE			- gradation straight line
#include "source\escboxo.c"		// Functions for dealing with new type EsBOXO	- outline rectangle
#include "source\escboxf.c"		// Functions for dealing with GsBOXF			- filled rectangle
#include "source\escgboxo.c"	// Functions for dealing with new type EsGBOXO	- outline gradation rectangle
#include "source\escgboxf.c"	// Functions for dealing with new type EsGBOXF	- filled gradation rectangle
#include "source\escsprit.c"	// Functions for dealing with GsSPRITE			- sprite
#include "source\escsound.c"	// Functions for dealing with VAB files
#include "source\escmenu.c"		// Functions for creating menus
#include "source\esclight.c"	// Functions for dynamic lighting of TMD's


#endif


