

/*****************

  "ANIM.C"

  Sprite animation package

  27/1/99
  ScoTT Campbell

  ****************/

#include "../../escpslib/escpslib.h"


/*************** Type definitions  ******************/


typedef enum{CONTINUOUS, NON_CONTINUOUS} animation_type;


typedef struct{
	int				currentX;
	int				currentY;
	int				currentSprite;
	int				amountFrames;
	animation_type	animationType;
	GsSPRITE*		sprites;
}sprite_anim_type;


/************** End of type definitions *************/



/***************** Function prototypes **************/

void InitialiseSpriteAnimation(sprite_anim_type* anim, GsSPRITE* spriteArray,
							   int arraySize, int startX, int startY, animation_type animType);


void UpdateCurrentSprite(sprite_anim_type* anim, int animationDirection);


void UpdateSpriteAnimation(sprite_anim_type* anim, int animationDirection,
													int xAmount, int yAmount);


void MoveSpriteAnimation(sprite_anim_type* anim, int xAmount, int yAmount);


void DrawSpriteAnimation(sprite_anim_type* anim, GsOT* otPtr, int otPriority);



/************* End of function prototypes ***********/