

/******************

	X-Wing Animation

	ScoTT Campbell
	27/1/99

	**************/


#include "../../escpslib/escpslib.h"

#include "../headers/anim.h"



/*************** Definitions **********************/


#define SHIP_0_ADDRESS	(0x80090000)

#define SHIP_IMAGE_SIZE	(0x00003200)	

#define AMOUNT_SHIP_SPRITES	(9)

#define SHIP_SPEED			(2)


/************** End of Definitions *****************/



/************** Type definitions *******************/


typedef struct{
	GsSPRITE			shipSpritesArray[AMOUNT_SHIP_SPRITES];
	int					shipSpeed;
	sprite_anim_type	animation;
}ship_animation_type;


/************* End of type definitions *************/



/**************** Function Prototypes **************/

ship_animation_type* CreateShipAnimation();


int DestroyShipAnimation(ship_animation_type* shipAnim);


void InitialiseShipAnimation(ship_animation_type* shipAnim, int totalFrames, 
							 unsigned long int startAddress, unsigned long int imageSize, 
							 int speed);


void UpdateShipAnimation(ship_animation_type* shipAnim, unsigned long int padValue);


void DrawShipAnimation(ship_animation_type* shipAnim, GsOT* otPtr, int priority);



/************** End of function prototypes *********/

